4Suite™ API Documentation

# ► Module Ft.Server.Client.Commands.Create.UriReference

This command creates a new URI Reference resource in a 4Suite repository. A URI Reference resource is like a Raw File but its content is always obtained on demand by dereferencing the stored URI. The first dereference operation occurs when this command is run, so the resource identified by the URI must be retrievable at that time. Resource metadata (size, etc.) from the last dereference operation is stored in the repository. Media type information is not obtained automatically; if a media type is not given on the command line, it will default to text/plain. If necessary, you will be prompted first for credentials and access info to connect to the repository.

Functions: Register, Run

## Functions

Register()
Run(options, args)